package com.dahe.pass.bean;

import java.io.Serializable;

/**
 * @ClassName BusInfoBean
 * @Author 用户
 * @Date 2022/1/14 15:06
 * @Description TODO
 */
public class BusInfoBean implements Serializable {

    private String phone;
    private String code;
    private String enterpriseName;
    private String pwd;
    private String approvedBy;
    private String unifiedSocialCreditCode;//统一社会信用代码
    private String nationalClassA;//国家A级
    private String businessType;//业务类型
    private String avatarUrl;
    private String placeOfRegistration;//注册地址
    private String companyAddress;//公司地址
    private String plantAddress;//厂区地址
    private String contacts;//厂区地址
    private String contactsPhone;//厂区地址
    private String name;//厂区地址
    private ParamsDao params;

    public String getApprovedBy() {
        return approvedBy;
    }

    public void setApprovedBy(String approvedBy) {
        this.approvedBy = approvedBy;
    }

    public String getUnifiedSocialCreditCode() {
        return unifiedSocialCreditCode;
    }

    public void setUnifiedSocialCreditCode(String unifiedSocialCreditCode) {
        this.unifiedSocialCreditCode = unifiedSocialCreditCode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getContacts() {
        return contacts;
    }

    public void setContacts(String contacts) {
        this.contacts = contacts;
    }

    public String getContactsPhone() {
        return contactsPhone;
    }

    public void setContactsPhone(String contactsPhone) {
        this.contactsPhone = contactsPhone;
    }

    public ParamsDao getParams() {
        return params;
    }

    public void setParams(ParamsDao params) {
        this.params = params;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getPwd() {
        return pwd;
    }

    public void setPwd(String pwd) {
        this.pwd = pwd;
    }

    public String getNationalClassA() {
        return nationalClassA;
    }

    public void setNationalClassA(String nationalClassA) {
        this.nationalClassA = nationalClassA;
    }

    public String getBusinessType() {
        return businessType;
    }

    public void setBusinessType(String businessType) {
        this.businessType = businessType;
    }

    public String getAvatarUrl() {
        return avatarUrl;
    }

    public void setAvatarUrl(String avatarUrl) {
        this.avatarUrl = avatarUrl;
    }

    public String getPlaceOfRegistration() {
        return placeOfRegistration;
    }

    public void setPlaceOfRegistration(String placeOfRegistration) {
        this.placeOfRegistration = placeOfRegistration;
    }

    public String getCompanyAddress() {
        return companyAddress;
    }

    public void setCompanyAddress(String companyAddress) {
        this.companyAddress = companyAddress;
    }

    public String getPlantAddress() {
        return plantAddress;
    }

    public void setPlantAddress(String plantAddress) {
        this.plantAddress = plantAddress;
    }

    public static class ParamsDao implements Serializable{
        private String code;

        public String getCode() {
            return code;
        }

        public void setCode(String code) {
            this.code = code;
        }
    }
}
